# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsGit/GitCherryPickDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_GitCherryPickDialog(object):
    def setupUi(self, GitCherryPickDialog):
        GitCherryPickDialog.setObjectName("GitCherryPickDialog")
        GitCherryPickDialog.resize(450, 300)
        GitCherryPickDialog.setSizeGripEnabled(True)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(GitCherryPickDialog)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.groupBox = QtWidgets.QGroupBox(parent=GitCherryPickDialog)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.commitsEdit = QtWidgets.QPlainTextEdit(parent=self.groupBox)
        self.commitsEdit.setTabChangesFocus(True)
        self.commitsEdit.setLineWrapMode(QtWidgets.QPlainTextEdit.LineWrapMode.NoWrap)
        self.commitsEdit.setObjectName("commitsEdit")
        self.verticalLayout.addWidget(self.commitsEdit)
        self.verticalLayout_2.addWidget(self.groupBox)
        self.appendCheckBox = QtWidgets.QCheckBox(parent=GitCherryPickDialog)
        self.appendCheckBox.setChecked(True)
        self.appendCheckBox.setObjectName("appendCheckBox")
        self.verticalLayout_2.addWidget(self.appendCheckBox)
        self.signoffCheckBox = QtWidgets.QCheckBox(parent=GitCherryPickDialog)
        self.signoffCheckBox.setObjectName("signoffCheckBox")
        self.verticalLayout_2.addWidget(self.signoffCheckBox)
        self.nocommitCheckBox = QtWidgets.QCheckBox(parent=GitCherryPickDialog)
        self.nocommitCheckBox.setObjectName("nocommitCheckBox")
        self.verticalLayout_2.addWidget(self.nocommitCheckBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=GitCherryPickDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_2.addWidget(self.buttonBox)

        self.retranslateUi(GitCherryPickDialog)
        self.buttonBox.accepted.connect(GitCherryPickDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(GitCherryPickDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(GitCherryPickDialog)
        GitCherryPickDialog.setTabOrder(self.commitsEdit, self.appendCheckBox)
        GitCherryPickDialog.setTabOrder(self.appendCheckBox, self.signoffCheckBox)
        GitCherryPickDialog.setTabOrder(self.signoffCheckBox, self.nocommitCheckBox)

    def retranslateUi(self, GitCherryPickDialog):
        _translate = QtCore.QCoreApplication.translate
        GitCherryPickDialog.setWindowTitle(_translate("GitCherryPickDialog", "Git Cherry-pick"))
        self.groupBox.setTitle(_translate("GitCherryPickDialog", "Commits"))
        self.commitsEdit.setToolTip(_translate("GitCherryPickDialog", "Enter commits by id, branch or tag one per line"))
        self.appendCheckBox.setToolTip(_translate("GitCherryPickDialog", "Select to append cherry-pick info to the commit message"))
        self.appendCheckBox.setText(_translate("GitCherryPickDialog", "Append Cherry-pick &Info"))
        self.signoffCheckBox.setToolTip(_translate("GitCherryPickDialog", "Select to add a \'Signed-off-by\' line to the commit message"))
        self.signoffCheckBox.setText(_translate("GitCherryPickDialog", "Append \'&Signed-off-by\' line"))
        self.nocommitCheckBox.setToolTip(_translate("GitCherryPickDialog", "Select to not commit the cherry-pick"))
        self.nocommitCheckBox.setText(_translate("GitCherryPickDialog", "Don\'t &commit"))
